<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <groupId>ru.tsc.ichaplygina.taskmanager</groupId>
    <artifactId>taskmanager</artifactId>
    <version>0.33.0</version>
    <packaging>pom</packaging>

    <name>taskmanager</name>
    <url>https://gitlab.com/irkka.hiiri</url>

    <modules>
        <module>tm-client</module>
        <module>tm-server</module>
        <module>tm-logger</module>
    </modules>

    <developers>
        <developer>
            <id>ichaplygina</id>
            <name>Irina Chaplygina</name>
            <email>ichaplygina@tsconsulting.com</email>
            <url>https://gitlab.com/irkka.hiiri</url>
            <organization>TSC</organization>
            <organizationUrl>http://www.tsconsulting.com</organizationUrl>
            <roles>
                <role>developer</role>
            </roles>
        </developer>
    </developers>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                    <encoding>UTF-8</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
